LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04783Bug reports[All Projects] Installationpublic2010-12-03 12:542010-12-15 13:43
Reporterfilhocf 
Assigned Toc_schmitz 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
Product Version1.90+ 
Target VersionFixed in Version1.90+ 
Summary04783: Error in the first login - username/password wrong
DescriptionAfter create tables in database, in a PgSQL 9.0, renamed the folder app/admin/install -> install.old and tried to connect as admin, with the password "password", return the message "wrong user or password".

Following a tip in this site[1], i logged in, changed the password by admin interface, and restored the changes. When i tried again, return the same error.
[1]http://notepad.patheticcockroach.com/264/lost-your-admin-password-in-limesurvey/ [^]

I installed the mysql, and was as described in the wiki[2].
[2]http://docs.limesurvey.org/tiki-index.php?page=Installation [^]
Steps To Reproduce1) download the tar.bz2;
2) uncompress in /var/www;
3) chown www-data.www-data /var/www/limesurvey (is a Debian box);
4) created the limesurvey database in PgSQL, with owner called "limesurvey" and password "limesurvey" (confirmed the access by $psql -h localhost limesurvey limesurvey" (and pw "limesurvey"));
4) changed the file /var/www/limesurvey/config.php to:
$databasetype = "postgres"
$databaselocation = "localhost"
$databasename = "limesurvey"
$databaseuser = "limesurvey"
$databasepass = "limesurvey"

5) Accessed the page "http://localhost/limesurvey/admin/install" [^] and pressed the button "Populate database";
6) Renamed the folder install -> install.old
7) Entered in the login page, putting user = "admin" and pass = "password"
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID9561
BrowserFirefox 3.6 and 4
Database & DB-VersionPostgreSQL 9.0
Operating System (Server)Debian
Webserver software & versionApache 2.2.16
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
User avatar (13734)
c_schmitz (administrator)
2010-12-09 15:43

I can install just fine here on Postgres.
Can you provide a dump of the installed Postgres database and attach it to this issue?
User avatar (13736)
filhocf (reporter)
2010-12-09 18:33

Attached dump of PgSQL after processed the population of database.
User avatar (13747)
c_schmitz (administrator)
2010-12-10 22:35

Run the following statement on Postgres after or before installation:

ALTER DATABASE <your limesurvey database name> SET bytea_output='escape';
User avatar (13754)
filhocf (reporter)
2010-12-11 13:04

I did this before the population of database and is ok, now.

I logged in, changed the pword, logout, and relogged with the new pword.

Thanks.
User avatar (13792)
c_schmitz (administrator)
2010-12-15 13:43

Released in 1.90+ version.

- Issue History
Date Modified Username Field Change
2010-12-03 12:54 filhocf New Issue
2010-12-04 01:51 c_schmitz Assigned To => c_schmitz
2010-12-04 01:51 c_schmitz Status new => assigned
2010-12-09 15:43 c_schmitz Note Added: 13734
2010-12-09 15:43 c_schmitz Status assigned => feedback
2010-12-09 18:32 filhocf File Added: dump_after_install.sql.gz
2010-12-09 18:33 filhocf Note Added: 13736
2010-12-09 18:33 filhocf Status feedback => assigned
2010-12-10 22:35 c_schmitz Note Added: 13747
2010-12-10 22:35 c_schmitz Status assigned => resolved
2010-12-10 22:35 c_schmitz Fixed in Version => 1.90+
2010-12-10 22:35 c_schmitz Resolution open => fixed
2010-12-10 22:35 c_schmitz File Deleted: dump_after_install.sql.gz
2010-12-11 13:04 filhocf Note Added: 13754
2010-12-15 13:43 c_schmitz Note Added: 13792
2010-12-15 13:43 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker